Bug 1043569 - [ALL LANG] OK button should be disabled always for the default selected language
Summary: [ALL LANG] OK button should be disabled always for the default selected language
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-language
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-16 16:33 UTC by Parag Nemade
Modified: 2014-02-05 03:42 UTC (History)
5 users (show)

Fixed In Version: system-config-language-1.4.0-8.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-19 04:01:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Parag Nemade 2013-12-16 16:33:06 UTC
Description of problem:
[ALL LANG] OK button should be disabled always for the default selected language.

Version-Release number of selected component (if applicable):
system-config-language-1.4.0-5.fc20.noarch

How reproducible:
100%

Steps to Reproduce:
1. Run system-config-language from terminal or run Language Selection from desktop.
2. Check OK button for the default selected language.(ex. Japanese, OK button is disabled.)
3. Click on the other language from the list.(ex. Kannada, OK button is enabled.)
4. Click on the default selected language again.(ex. Japanese, OK button is enabled.)

Actual results:
OK button is enabled.

Expected results:
OK button should be disabled always for the default selected language.

Additional info:

Comment 1 Parag Nemade 2013-12-16 16:34:33 UTC
reported this bug for tracking this fix here. Already fixed in upstream.

Comment 2 Parag Nemade 2014-01-16 04:36:43 UTC
Fixed in system-config-language-1.4.0-7.fc20 build on koji.

Comment 3 Fedora Update System 2014-01-16 04:39:09 UTC
system-config-language-1.4.0-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-language-1.4.0-7.fc20

Comment 4 Fedora Update System 2014-01-16 05:10:17 UTC
system-config-language-1.4.0-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-language-1.4.0-7.fc19

Comment 5 lnie 2014-01-16 06:47:50 UTC
system-config-language-1.4.0-7.fc20 works

Comment 6 Fedora Update System 2014-01-17 05:42:12 UTC
Package system-config-language-1.4.0-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-language-1.4.0-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0976/system-config-language-1.4.0-7.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-01-19 04:01:46 UTC
system-config-language-1.4.0-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-01-27 06:27:17 UTC
system-config-language-1.4.0-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-language-1.4.0-8.fc19

Comment 9 Fedora Update System 2014-02-05 03:42:13 UTC
system-config-language-1.4.0-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.